%define srcname	Synkron

Summary:	A synchronization tool with QT4 GUI
Name:		synkron
Version:	1.6.2
Release:	%mkrel 11
Group:		File tools
License:	GPLv2
URL:		http://sourceforge.net/projects/synkron/
Source0:	http://downloads.sourceforge.net/project/%name/%name/%version/%srcname-%{version}-src.tar.gz
Source1:	Synkron.desktop
BuildRequires:	qt4-devel >= 4:4.3 
BuildRequires:  desktop-file-utils
Requires:	qt4-common >= 4:4.3

%description
Synkron is an application for folder synchronisation that allows you
to configure your synchronisations in detail. Despite having many
features, the user interface of Synkron is very user-friendly and easy
to use.

Synkron is able to synchronise multiple folders at once, analyse
folders before sync, restore overwritten or deleted files, plan
synchronisations and much more.

%files
%doc gpl.txt readme.txt
%{_bindir}/synkron
%{_datadir}/icons/synkron/
%{_datadir}/applications/Synkron.desktop

#---------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}-src

%build
lrelease Synkron.pro
%qmake_qt4 -config release
%make_build

%install
#binary
install -d %{buildroot}%{_bindir}
install -m 0755 synkron %{buildroot}%{_bindir}

#icon
install -d %{buildroot}%{_datadir}/icons/%{name}
install -m 0644 images/Synkron48.png %{buildroot}%{_datadir}/icons/%{name}

#desktop file
desktop-file-install  --dir="%{buildroot}%{_datadir}/applications" %{SOURCE1}
# Fix perms
chmod 644  gpl.txt readme.txt



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.6.2-11.mga8
+ Revision: 1517315
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.6.2-10.mga7
+ Revision: 1301283
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Wed Feb 17 2016 umeabot <umeabot> 1.6.2-9.mga6
+ Revision: 963000
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 1.6.2-8.mga6
+ Revision: 894190
- do not strip binary to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-7.mga5
+ Revision: 744788
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-6.mga5
+ Revision: 689658
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.2-5.mga4
+ Revision: 519479
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.6.2-4.mga3
+ Revision: 383925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 juancho <juancho> 1.6.2-3.mga3
+ Revision: 314622
+ rebuild (emptylog)

* Tue Nov 06 2012 juancho <juancho> 1.6.2-2.mga3
+ Revision: 314617
+ rebuild (emptylog)

* Mon Nov 05 2012 juancho <juancho> 1.6.2-1.mga3
+ Revision: 314491
- Updated to 1.6.2

* Mon Mar 21 2011 mikala <mikala> 1.6.1-2.mga1
+ Revision: 75197
- Fix BuildRequires on desktop-file-utils
- Remove BuildRoot
- imported package synkron


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6.1-2mdv2011.0
+ Revision: 615060
- the mass rebuild of 2010.1 packages

* Sun Nov 15 2009 John Balcaen <mikala@mandriva.org> 1.6.1-1mdv2010.1
+ Revision: 466116
- Update to 1.6.1

* Thu Oct 01 2009 John Balcaen <mikala@mandriva.org> 1.6.0-1mdv2010.0
+ Revision: 451907
- import synkron

